> For the complete documentation index, see [llms.txt](https://docs.e6data.com/query-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.e6data.com/query-engine/reference/limitations/cloud-provider.md).

# Cloud provider

Cloud-provider-specific limits and constraints when running e6data.

Limits and constraints that vary by cloud provider.

## AWS

| Limit                                | Default                       | Adjustable                               |
| ------------------------------------ | ----------------------------- | ---------------------------------------- |
| Concurrent EC2 instances per cluster | Limited by AWS account quotas | Yes - request quota increase             |
| VPC peering for In-VPC deployments   | Up to AWS default limits      | Yes - request via support                |
| S3 bucket access                     | Same-region recommended       | Cross-region works but adds latency/cost |
| Cross-account IAM trust              | Supported via role assumption | Standard AWS configuration               |

## Azure

| Limit                           | Default                                   | Adjustable                                   |
| ------------------------------- | ----------------------------------------- | -------------------------------------------- |
| Subscription quota for VM cores | Per Azure subscription default            | Yes - request quota increase in Azure portal |
| ADLS Gen2 access                | Same-region recommended                   | Cross-region works but adds latency/cost     |
| Cross-tenant access             | Supported via Managed Identity federation | Standard Azure configuration                 |
| Network Contributor on VNet     | Required for In-VPC internal LB           | Configured per cluster                       |

## Universal limits across clouds

| Limit                            | Value               | Notes                                          |
| -------------------------------- | ------------------- | ---------------------------------------------- |
| Max executors per cluster        | 10,000              | Practical limit; most clusters are far smaller |
| Concurrent queries per workspace | Workspace-dependent | Contact support to raise                       |
| Result set size per query        | 100 MB via REST API | Use streaming for larger                       |
| Catalog name length              | 64 characters       | Reasonable practical limit                     |
| Workspace name length            | 1–18 characters     | Hard limit                                     |

## Region pairing recommendations

For minimal latency and cost, keep these in the same region:

* e6data workspace
* Underlying data (S3, ADLS Gen2)
* Metastore (Hive, Glue, Unity, Polaris)

Cross-region or cross-cloud access works but introduces:

* Egress costs (often significant for large data scans)
* Latency (10–200ms added per query)
* Reliability dependencies on cross-region networking

## See also

* [Services and dependencies](/query-engine/reference/services-and-dependencies.md)
* [Limitations overview](/query-engine/reference/limitations.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.e6data.com/query-engine/reference/limitations/cloud-provider.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
